Issue #16280 has been updated by mame (Yusuke Endoh).

Status changed from Open to Third Party's Issue

Perhaps, it is an issue of sassc.  Could you please ask them first?

I'm unsure but it looks related to https://github.com/sass/sassc-ruby/issues/146

----------------------------------------
Bug #16280: FFI Illegal instruction
https://bugs.ruby-lang.org/issues/16280#change-82320

* Author: birkart (Roman Ustuantsev)
* Status: Third Party's Issue
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 2.5.1
* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
After calling bundle exec rails c -e production I'm getting the following output:

../bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:112: [BUG] Illegal instruction at 0x00007f76fa252980
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux]

The output lines related to ffi are the following:

```
ared/bundle/ruby/2.5.0/gems/sassc-2.2.1/lib/sassc/native.rb:6:in `<module:SassC>'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/sassc-2.2.1/lib/sassc/native.rb:11:in `<module:Native>'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:99:in `ffi_lib'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:99:in `map'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:109:in `block in ffi_lib'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:109:in `each'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:112:in `block (2 levels) in ffi_lib'
/home/deployer/anyplay/shared/bundle/ruby/2.5.0/gems/ffi-1.11.1/lib/ffi/library.rb:112:in `open'
```



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>